> For the complete documentation index, see [llms.txt](https://docs.rekor.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rekor.ai/scout/application-integration/json-plate-results.md).

# JSON Plate Results

Rekor Scout® generates an `alpr_results` JSON value for every frame of video in which a license plate is recognized. This value will be sent multiple times for a single vehicle. For example, as a vehicle drives past the camera over the course of three seconds, Scout may recognize the same license plate fifty times. All fifty recognition results will be recorded as `alpr_results` JSON values.

The number of recognition results largely depends on the processing speed and number of cameras being processed. A faster processor will produce more of these per vehicle because it is able to process video frames at a faster rate.

Individual plate results are best suited for applications that need to operate on plate data in real time.

JSON Plate results are sent in the following format:

```json
{
   "processing_time_ms" : 105.850112915039,
   "data_type" : "alpr_results",
   "uuid" : "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY-1234-1562681608425",
   "version" : 2,
   "camera_id" : 1234,
   "results" : [
      {
         "plate_index" : 0,
         "coordinates" : [
            {
               "x" : 3257,
               "y" : 188
            },
            {
               "x" : 3467,
               "y" : 194
            },
            {
               "x" : 3460,
               "y" : 307
            },
            {
               "y" : 302,
               "x" : 3247
            }
         ],
         "processing_time_ms" : 47.0029602050781,
         "plate_crop_jpeg" : "... base 64 image data ...",
         "plate" : "D2651BF",
         "vehicle_region" : {
            "y" : 0,
            "x" : 3042,
            "height" : 630,
            "width" : 630
         },
         "region" : "us-mo",
         "confidence" : 92.9419174194336,
         "matches_template" : 0,
         "requested_topn" : 10,
         "candidates" : [
            {
               "plate" : "D2651BF",
               "confidence" : 92.9419174194336,
               "matches_template" : 0
            },
            {
               "plate" : "D2651F",
               "matches_template" : 0,
               "confidence" : 80.8129653930664
            },
            {
               "matches_template" : 0,
               "confidence" : 80.0941772460938,
               "plate" : "D265BF"
            },
            {
               "plate" : "D251BF",
               "matches_template" : 0,
               "confidence" : 79.946403503418
            }
         ],
         "region_confidence" : 40
      },
      {
         "requested_topn" : 10,
         "candidates" : [
            {
               "matches_template" : 1,
               "confidence" : 94.7376327514648,
               "plate" : "CG3L5Y"
            },
            {
               "confidence" : 79.4123077392578,
               "matches_template" : 0,
               "plate" : "CGL5Y"
            },
            {
               "plate" : "CG3L5",
               "confidence" : 79.0777206420898,
               "matches_template" : 0
            }
         ],
         "region_confidence" : 99,
         "confidence" : 94.7376327514648,
         "region" : "us-mo",
         "matches_template" : 1,
         "plate_crop_jpeg" : "... base64 image data ...",
         "plate" : "CG3L5Y",
         "vehicle_region" : {
            "x" : 821,
            "height" : 1512,
            "y" : 0,
            "width" : 1512
         },
         "plate_index" : 1,
         "coordinates" : [
            {
               "y" : 882,
               "x" : 1419
            },
            {
               "x" : 1744,
               "y" : 893
            },
            {
               "y" : 1055,
               "x" : 1736
            },
            {
               "y" : 1044,
               "x" : 1409
            }
         ],
         "processing_time_ms" : 47.0029602050781
      }
   ],
   "agent_version" : "2.7.101",
   "error" : false,
   "company_id" : "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
   "epoch_time" : 1562681608425,
   "agent_uid" : "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY",  # Taken from /etc/openalpr/install_id
   "img_width" : 4096,
   "regions_of_interest" : [
      {
         "x" : 0,
         "height" : 2160,
         "y" : 0,
         "width" : 4096
      }
   ],
   "agent_type" : "alprd",
   "img_height" : 2160
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rekor.ai/scout/application-integration/json-plate-results.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
